Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Strukturanzeige mit makro steuern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Strukturanzeige mit makro steuern (2594 mal gelesen)
e.pepe
Mitglied
Technischer Fachwirt/Projektmanager/Qualitätsmanager/Konstrukteur/CAD-Admin


Sehen Sie sich das Profil von e.pepe an!   Senden Sie eine Private Message an e.pepe  Schreiben Sie einen Gästebucheintrag für e.pepe

Beiträge: 109
Registriert: 18.02.2012

Win10 Prof.; 64Bit
SolidWorks 2018 Sp.3.0
NVIDIA Quadro P600

erstellt am: 29. Jun. 2012 12:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


bild1.jpg


bild2.png

 
Hallo zusammen,

Ich habe ein kleines Problem uns zwar wenn ich ältere Baugruppen in Solidworks aufmache wird die Strukturanzeige wie in Bild1 dargestellt. Mein frage gibt ein macro dem mit dem ich die Strukturanzeige steuern kann. Also wenn ich das macro ausführe das er mir die Strukturanzeige wie in Bild2 anzeigt?

pepe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

e.pepe
Mitglied
Technischer Fachwirt/Projektmanager/Qualitätsmanager/Konstrukteur/CAD-Admin


Sehen Sie sich das Profil von e.pepe an!   Senden Sie eine Private Message an e.pepe  Schreiben Sie einen Gästebucheintrag für e.pepe

Beiträge: 109
Registriert: 18.02.2012

Win10 Prof.; 64Bit
SolidWorks 2018 Sp.3.0
NVIDIA Quadro P600

erstellt am: 29. Jun. 2012 12:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Anbei ein makro mit dem ich es schaffe die Komponentenbeschreibung anzeigen einzuschalten. Nur leider weiss ich nicht wie ich die Anzeigestatusnamen anzeigen abschalten kann.

pepe

Makro:

Dim swApp As SldWorks.SldWorks
Dim aMod As SldWorks.ModelDoc2
Dim FM As SldWorks.FeatureManager
Dim CurSet As Boolean

Sub main()
On Error GoTo ExitStrategy

Set swApp = Application.SldWorks
Set aMod = swApp.ActiveDoc
Set FM = aMod.FeatureManager
CurSet = FM.ShowComponentDescriptions
If CurSet Then CurSet = False Else CurSet = True
FM.ShowComponentDescriptions = CurSet
ExitStrategy:
Set FM = Nothing
Set aMod = Nothing
Set swApp = Nothing
End Sub

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StefanBerlitz
Guter-Geist-Moderator
IT Admin (CAx)



Sehen Sie sich das Profil von StefanBerlitz an!   Senden Sie eine Private Message an StefanBerlitz  Schreiben Sie einen Gästebucheintrag für StefanBerlitz

Beiträge: 8745
Registriert: 02.03.2000

SunZu sagt:
Analysiere die Vorteile, die
du aus meinem Ratschlag ziehst.
Dann gliedere deine Kräfte
entsprechend und mache dir
außergewöhnliche Taktiken zunutze.

erstellt am: 29. Jun. 2012 13:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für e.pepe 10 Unities + Antwort hilfreich

Hallo Pepe,

ja, so etwas ist per Makro möglich, als Ausgangspunkt kannst du mal ind er API Hilfe das Beispiel "Show Components and Component Configurations Names and Descriptions Example (VBA)" durchsehen, ad steht alles drin, was du brauchst. Für den Anzeigestatus ist dann ab SW2012 die Funktion FeatureManager::ShowDisplayStateNames noch dazugekommen, dann hast du alles was du brauchst.

Ciao,
Stefan

------------------
Inoffizielle deutsche SolidWorks Hilfeseite    http://solidworks.cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

e.pepe
Mitglied
Technischer Fachwirt/Projektmanager/Qualitätsmanager/Konstrukteur/CAD-Admin


Sehen Sie sich das Profil von e.pepe an!   Senden Sie eine Private Message an e.pepe  Schreiben Sie einen Gästebucheintrag für e.pepe

Beiträge: 109
Registriert: 18.02.2012

Win10 Prof.; 64Bit
SolidWorks 2018 Sp.3.0
NVIDIA Quadro P600

erstellt am: 29. Jun. 2012 13:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Stefan,

da ich kein Profi bin in makro's schreiben habe ich eine bitte. Und zwar habe ich dieses makro unten in der API hilfe gefunden es funzt auch gut. Nur das macro schaltet das Komponentennamen anzeig aus und Anzeigestatusnamen anzeigen ein ich brauche es ganu andersherum..
Leider find ich es nicht im macro wo es steht.
Können sie sich das macro ansehen??

Pepe

Option Explicit

'-------------------------------------------------------

'

' Preconditions:

'      (1) Open <SolidWorks_install_dir>\samples\tutorial\smartcomponents\pillow_block.sldasm.

'      (2) Interactively collapse all expanded components to more easily see what this macro does.

'      (3) Step through this macro.

'

' Postconditions: None

'

'-------------------------------------------------------

Dim swApp As SldWorks.SldWorks

Dim Part As SldWorks.ModelDoc2

Dim SelMgr As SldWorks.SelectionMgr

Dim swFeatMgr As SldWorks.FeatureManager

Sub main()

    Set swApp = Application.SldWorks

    Set Part = swApp.ActiveDoc

    Set SelMgr = Part.SelectionManager

    Set swFeatMgr = Part.FeatureManager

   

    Debug.Print "'Tree Display' settings upon opening document"

    Debug.Print vbTab & "ShowComponentNames                    : " & swFeatMgr.ShowComponentNames

    Debug.Print vbTab & "ShowComponentDescriptions              : " & swFeatMgr.ShowComponentDescriptions

    Debug.Print vbTab & "ShowComponentConfigurationNames        : " & swFeatMgr.ShowComponentConfigurationNames

    Debug.Print vbTab & "ShowComponentConfigurationDescriptions : " & swFeatMgr.ShowComponentConfigurationDescriptions & vbCrLf

    ' To verify the settings, interactively right-click "pillow_block (NPD-24)" at the

    ' the top of the FeatureManager design tree and point at Tree Display.

    ' Then click anywhere in the graphics area to close the short-cut menu.

   

    ' Interactively examine the FeatureManager design tree to

    ' verify that the names of the components are not shown.

   

    If (swFeatMgr.ShowComponentNames) Then

        swFeatMgr.ShowComponentNames = False

    Else

        swFeatMgr.ShowComponentNames = True

    End If

    ' Show Component Names is now set to TRUE.

    ' Examine the FeatureManager design tree, and

    ' verify that the names of the components are

    ' shown in the FeatureManager design tree.

   

    If (swFeatMgr.ShowComponentDescriptions) Then

        swFeatMgr.ShowComponentDescriptions = False

    Else

        swFeatMgr.ShowComponentDescriptions = True

    End If

    ' Show Component Descriptions is now set to FALSE.

    ' Examine the FeatureManager design tree, and

    ' verify that the descriptions of the components are

    ' not shown.

   

    If (swFeatMgr.ShowComponentConfigurationNames) Then

        swFeatMgr.ShowComponentConfigurationNames = False

    Else

        swFeatMgr.ShowComponentConfigurationNames = True

    End If

    ' Show Component Configuration Names is now set to FALSE.

    ' Examine the FeatureManager design tree, and

    ' verify that the names of the configurations are

    ' not shown.

   

   

    If (swFeatMgr.ShowComponentConfigurationDescriptions) Then

        swFeatMgr.ShowComponentConfigurationDescriptions = False

    Else

        swFeatMgr.ShowComponentConfigurationDescriptions = True

    End If

    ' Show Component Configuration Descriptions is now set to TRUE.

    ' Examine the FeatureManager design tree, and

    ' verify that the descriptions of the configurations

    ' are shown.

   

    Debug.Print "Display modified settings"

    Debug.Print vbTab & "ShowComponentNames                    : " & swFeatMgr.ShowComponentNames

    Debug.Print vbTab & "ShowComponentDescriptions              : " & swFeatMgr.ShowComponentDescriptions

    Debug.Print vbTab & "ShowComponentConfigurationNames        : " & swFeatMgr.ShowComponentConfigurationNames

    Debug.Print vbTab & "ShowComponentConfigurationDescriptions : " & swFeatMgr.ShowComponentConfigurationDescriptions & vbCrLf

   

    'FeatureManager::ShowComponentNames and FeatureManager::ShowComponentDescriptions

    'cannot both be set to FALSE

    swFeatMgr.ShowComponentDescriptions = True

    If (swFeatMgr.ShowComponentNames) Then

        swFeatMgr.ShowComponentNames = False

    End If

   

    Debug.Print "Try to set FeatureManager::ShowComponentDescriptions to FALSE while FetureManager::ShowComponentNames is FALSE"

    Debug.Print vbTab & "Before call to ShowComponentDescriptions : " & swFeatMgr.ShowComponentDescriptions

    swFeatMgr.ShowComponentDescriptions = False  ' This call does not work because FeatureManager::ShowComponentNames display is set to FALSE

    Debug.Print vbTab & "After call to ShowComponentDescriptions  : " & swFeatMgr.ShowComponentDescriptions & vbCrLf

   

    'Restore original settings

    If (swFeatMgr.ShowComponentConfigurationNames) Then

        swFeatMgr.ShowComponentConfigurationNames = False

    Else

        swFeatMgr.ShowComponentConfigurationNames = True

    End If

   

   

    If (swFeatMgr.ShowComponentConfigurationDescriptions) Then

        swFeatMgr.ShowComponentConfigurationDescriptions = False

    Else

        swFeatMgr.ShowComponentConfigurationDescriptions = True

    End If

   

    Debug.Print "Restored original settings"

    Debug.Print vbTab & "ShowComponentNames                    : " & swFeatMgr.ShowComponentNames

    Debug.Print vbTab & "ShowComponentDescriptions              : " & swFeatMgr.ShowComponentDescriptions

    Debug.Print vbTab & "ShowComponentConfigurationNames        : " & swFeatMgr.ShowComponentConfigurationNames

    Debug.Print vbTab & "ShowComponentConfigurationDescriptions : " & swFeatMgr.ShowComponentConfigurationDescriptions & vbCrLf

End Sub

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

e.pepe
Mitglied
Technischer Fachwirt/Projektmanager/Qualitätsmanager/Konstrukteur/CAD-Admin


Sehen Sie sich das Profil von e.pepe an!   Senden Sie eine Private Message an e.pepe  Schreiben Sie einen Gästebucheintrag für e.pepe

Beiträge: 109
Registriert: 18.02.2012

Win10 Prof.; 64Bit
SolidWorks 2018 Sp.3.0
NVIDIA Quadro P600

erstellt am: 02. Jul. 2012 10:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hallo


habe alles versucht bekomme es nicht hin.

pepe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

e.pepe
Mitglied
Technischer Fachwirt/Projektmanager/Qualitätsmanager/Konstrukteur/CAD-Admin


Sehen Sie sich das Profil von e.pepe an!   Senden Sie eine Private Message an e.pepe  Schreiben Sie einen Gästebucheintrag für e.pepe

Beiträge: 109
Registriert: 18.02.2012

Win10 Prof.; 64Bit
SolidWorks 2018 Sp.3.0
NVIDIA Quadro P600

erstellt am: 03. Jul. 2012 15:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Stefan,

haben das makro hinbekommen.

mfg pepe


---------

Option Explicit


Dim swApp As SldWorks.SldWorks

Dim Part As SldWorks.ModelDoc2

Dim SelMgr As SldWorks.SelectionMgr

Dim swFeatMgr As SldWorks.FeatureManager
Sub main()

    Set swApp = Application.SldWorks

    Set Part = swApp.ActiveDoc

    Set SelMgr = Part.SelectionManager

    Set swFeatMgr = Part.FeatureManager


    swFeatMgr.ShowFeatureName = True 'Feature Namen
    swFeatMgr.ShowFeatureDescription = False 'Feature-Beschreibungen
    swFeatMgr.ShowComponentNames = True 'Komponentennamen
    swFeatMgr.ShowComponentDescriptions = True 'Komponentenbeschreibung
    swFeatMgr.ShowComponentConfigurationNames = True ' Konfigurationsnamen der Komponente
    swFeatMgr.ShowComponentConfigurationDescriptions = False ' Konfigurationsbeschreibung der Komponente
    'swFeatMgr.ShowDisplayStateNames = False 'Anzeigestatus ab SW 2012
    End Sub

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StefanNie
Mitglied
Konstrukteur und CAD-Administrator


Sehen Sie sich das Profil von StefanNie an!   Senden Sie eine Private Message an StefanNie  Schreiben Sie einen Gästebucheintrag für StefanNie

Beiträge: 71
Registriert: 07.03.2005

SW2016 SP4.0 mit
DBWorks

erstellt am: 17. Jul. 2014 09:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für e.pepe 10 Unities + Antwort hilfreich

Hallo,

super Geschichte. Genau das habe ich gesucht!
Hat jemand dies Makro schon auf Zeihcnungen und Parts erweitern können?
Funktioniert aktuell bei mir nur mit Baugruppen...

gruß
Stefan

------------------
Stefan

CSWP 2006

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StefanNie
Mitglied
Konstrukteur und CAD-Administrator


Sehen Sie sich das Profil von StefanNie an!   Senden Sie eine Private Message an StefanNie  Schreiben Sie einen Gästebucheintrag für StefanNie

Beiträge: 71
Registriert: 07.03.2005

SW2016 SP4.0 mit
DBWorks

erstellt am: 17. Jul. 2014 10:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für e.pepe 10 Unities + Antwort hilfreich

Sorry,

hatte Problem mit der Eigenschaft..
swFeatMgr.ShowComponentNames = False 'Komponentennamen

Grund war wohl, das ich die Eigenschaft nicht auf FALSE setzen kann, wenn
swFeatMgr.ShowComponentDescriptions = True 'Komponentenbeschreibung
auch noch auf FALSE steht.
Habe jetzt die Zeilen vertauscht. Nun geht es....
Dim swApp As SldWorks.SldWorks
Dim Part As SldWorks.ModelDoc2
Dim SelMgr As SldWorks.SelectionMgr
Dim swFeatMgr As SldWorks.FeatureManager
Sub main()
    Set swApp = Application.SldWorks
    Set Part = swApp.ActiveDoc
    Set SelMgr = Part.SelectionManager
    Set swFeatMgr = Part.FeatureManager
    swFeatMgr.ShowFeatureName = True 'Feature Namen
    swFeatMgr.ShowFeatureDescription = False 'Feature-Beschreibungen
    swFeatMgr.ShowComponentDescriptions = True 'Komponentenbeschreibung
    swFeatMgr.ShowComponentNames = False 'Komponentennamen
    swFeatMgr.ShowComponentConfigurationNames = False ' Konfigurationsnamen der Komponente
    swFeatMgr.ShowComponentConfigurationDescriptions = False ' Konfigurationsbeschreibung der Komponente
    swFeatMgr.ShowDisplayStateNames = False 'Anzeigestatus ab SW 2012
End Sub

------------------
Stefan

CSWP 2006

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

swx-cad-nutzer
Mitglied
Konstr


Sehen Sie sich das Profil von swx-cad-nutzer an!   Senden Sie eine Private Message an swx-cad-nutzer  Schreiben Sie einen Gästebucheintrag für swx-cad-nutzer

Beiträge: 159
Registriert: 15.06.2011

SWX 2017
SP 4.1
64 bit
16GB RAM
HP Z420 Workstation

erstellt am: 12. Mai. 2016 12:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für e.pepe 10 Unities + Antwort hilfreich

Hallo zusammen!

wie bekomme ich ein Makro gebacken, welches genau so funktioniert?

also:
-Anzeigestatusnamen ausblenden
-Komponentenbeschreibung anzeigen

im Teil,Baugruppe und Zeichnung.

(angewendet auf älteren Modellen, Zeichnungen)

Nein von visual Basic habe ich keine Ahnung. Ich kann nur einfügen, speichern..

Danke!


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RvdH1
Mitglied
Maschinenbautechniker


Sehen Sie sich das Profil von RvdH1 an!   Senden Sie eine Private Message an RvdH1  Schreiben Sie einen Gästebucheintrag für RvdH1

Beiträge: 121
Registriert: 04.02.2007

Windows 7
SolidWorks 2016
MaxxDB 3.x

erstellt am: 12. Mai. 2016 14:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für e.pepe 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von SWX-cad-nutzer:

wie bekomme ich ein Makro gebacken, welches genau so funktioniert?

also:
-Anzeigestatusnamen ausblenden
-Komponentenbeschreibung anzeigen

im Teil,Baugruppe und Zeichnung.

(angewendet auf älteren Modellen, Zeichnungen)



Hallo SWX-cad-nutzer
Das Makro funktioniert prima mit 2014
Habe es in der Baugruppe, Teil und Zeichnung ausprobiert. Sogar mit Dateien aus SW2009

Danke noch an pepe und StefanNie die dieses Makro erstellt haben. Kann ich gut gebrauchen. 

Gruß Ralf

[Diese Nachricht wurde von RvdH1 am 12. Mai. 2016 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

swx-cad-nutzer
Mitglied
Konstr


Sehen Sie sich das Profil von swx-cad-nutzer an!   Senden Sie eine Private Message an swx-cad-nutzer  Schreiben Sie einen Gästebucheintrag für swx-cad-nutzer

Beiträge: 159
Registriert: 15.06.2011

SWX 2017
SP 4.1
64 bit
16GB RAM
HP Z420 Workstation

erstellt am: 12. Mai. 2016 16:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für e.pepe 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von RvdH1:

Hallo SWX-cad-nutzer
Das Makro funktioniert prima mit 2014
Habe es in der Baugruppe, Teil und Zeichnung ausprobiert. Sogar mit Dateien aus SW2009

Danke noch an pepe und StefanNie die dieses Makro erstellt haben. Kann ich gut gebrauchen. 


Hallo Ralf,

genau das meine ich. Eben das funktioniert nicht. zumindest nicht in meinem Macro. ich kopiere die " Befehlszeilen" in mein neues Macro und es geht nicht. Welches sind die richtigen funktionierenden Befehlszeilein?
...Das für einen wie mich, der kaum was mit diesem Visual Basic anfangen kann.

Danke!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RvdH1
Mitglied
Maschinenbautechniker


Sehen Sie sich das Profil von RvdH1 an!   Senden Sie eine Private Message an RvdH1  Schreiben Sie einen Gästebucheintrag für RvdH1

Beiträge: 121
Registriert: 04.02.2007

Windows 7
SolidWorks 2016
MaxxDB 3.x

erstellt am: 12. Mai. 2016 20:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für e.pepe 10 Unities + Antwort hilfreich


Anzeigestatusnamenausblenden.zip

 
Hallo SWX-cad-nutzer
ich habe das Makro von StefanNie in ein neues Makro kopiert.
Original von StefanNie:

Dim swApp As SldWorks.SldWorks
Dim Part As SldWorks.ModelDoc2
Dim SelMgr As SldWorks.SelectionMgr
Dim swFeatMgr As SldWorks.FeatureManager
Sub main()
    Set swApp = Application.SldWorks
    Set Part = swApp.ActiveDoc
    Set SelMgr = Part.SelectionManager
    Set swFeatMgr = Part.FeatureManager
    swFeatMgr.ShowFeatureName = True 'Feature Namen
    swFeatMgr.ShowFeatureDescription = False 'Feature-Beschreibungen
    swFeatMgr.ShowComponentDescriptions = True 'Komponentenbeschreibung
    swFeatMgr.ShowComponentNames = False 'Komponentennamen
    swFeatMgr.ShowComponentConfigurationNames = False ' Konfigurationsnamen der Komponente
    swFeatMgr.ShowComponentConfigurationDescriptions = False ' Konfigurationsbeschreibung der Komponente
    swFeatMgr.ShowDisplayStateNames = False 'Anzeigestatus ab SW 2012
End Sub

Dies hatte dann gleich geklappt


Im Anhang ist nun meine Datei. Hier habe ich noch eine kleine Änderung durchgeführt gegenüber dem Original.
Änderung:
swFeatMgr.ShowComponentConfigurationNames = true ' Konfigurationsnamen der Komponente
Weil ich im FM die Konfig-Namen sehen will.
Mit der Datei kannst du nun vergleichen ob etwas beim Kopieren bei dir schief gelaufen ist.
Gibt es bei dir eigentlich eine Fehlermeldung wenn du es ausführst?
Gibt es eine Fehlermeldung wenn du es im Editor laufen lässt?
Vielleicht mal ein Bild schicken!

Eins noch zum Verständnis. Auch ich bin ganz und gar nicht fit mit den Makros. Ich hatte nur diesmal Glück das es geklappt hat.
An solchen tollen kleinen Makros lernt man mit der Zeit.

Gruß Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

swx-cad-nutzer
Mitglied
Konstr


Sehen Sie sich das Profil von swx-cad-nutzer an!   Senden Sie eine Private Message an swx-cad-nutzer  Schreiben Sie einen Gästebucheintrag für swx-cad-nutzer

Beiträge: 159
Registriert: 15.06.2011

SWX 2017
SP 4.1
64 bit
16GB RAM
HP Z420 Workstation

erstellt am: 13. Mai. 2016 08:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für e.pepe 10 Unities + Antwort hilfreich


Anzeigestatus_umstellen.JPG

 
Hallo Ralf,

danke für Deine Unterstützung. Doch beim Ausführen des Macros zuckt SWX nicht mal. Beim Editor laufen lassen kommt zumindest die Meldung siehe Anhang. Warum genau dieses Makro nichts tun will?!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StefanNie
Mitglied
Konstrukteur und CAD-Administrator


Sehen Sie sich das Profil von StefanNie an!   Senden Sie eine Private Message an StefanNie  Schreiben Sie einen Gästebucheintrag für StefanNie

Beiträge: 71
Registriert: 07.03.2005

SW2016 SP4.0 mit
DBWorks

erstellt am: 13. Mai. 2016 10:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für e.pepe 10 Unities + Antwort hilfreich

Erste oder Zweite Zeile einmal ausklammern...
Du definierst swapp sonst 2x und das will das Makro nicht...

Als DIM-Operatoren dürfen nur diese da stehen

Dim swApp As SldWorks.SldWorks
Dim Part As SldWorks.ModelDoc2
Dim SelMgr As SldWorks.SelectionMgr
Dim swFeatMgr As SldWorks.FeatureManager

------------------
Stefan

CSWP 2006

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RvdH1
Mitglied
Maschinenbautechniker


Sehen Sie sich das Profil von RvdH1 an!   Senden Sie eine Private Message an RvdH1  Schreiben Sie einen Gästebucheintrag für RvdH1

Beiträge: 121
Registriert: 04.02.2007

Windows 7
SolidWorks 2016
MaxxDB 3.x

erstellt am: 13. Mai. 2016 10:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für e.pepe 10 Unities + Antwort hilfreich

Hallo SWX-cad-nutzer,
da haben wir ja das Problem.
Du hast eine Zeile zuviel im Programm.
Die obere Zeile "Dim swApp As Object"
Diese muss gelöscht werden.

Das wars dann wohl.

Gruß Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

swx-cad-nutzer
Mitglied
Konstr


Sehen Sie sich das Profil von swx-cad-nutzer an!   Senden Sie eine Private Message an swx-cad-nutzer  Schreiben Sie einen Gästebucheintrag für swx-cad-nutzer

Beiträge: 159
Registriert: 15.06.2011

SWX 2017
SP 4.1
64 bit
16GB RAM
HP Z420 Workstation

erstellt am: 13. Mai. 2016 10:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für e.pepe 10 Unities + Antwort hilfreich

Danke Jungs! Funktioniert nun auch bei mir!
Ich hatte eine zeile im Makro oben zuviel die hies: "Dim swApp As Object"

Die Zeile weg und es geht! unitis für euch (hoffe das bring ich hin!)

Grüße!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz